Summary: Remote Access Service Daemon
Name: rasd
Version: 0.8
Release: 1%{?dist:%{dist}}
License: GPL
Group: System Environment/Daemons
Source: http://uranus.it.swin.edu.au/~jn/rasd/rasd-%{version}.tar.gz
URL: http://uranus.it.swin.edu.au/~jn/linux/rasd.htm
Packager: John Newbign (jn@it.swin.edu.au)
BuildRoot: /var/tmp/%{name}-buildroot
Distribution: Preminition
Vendor: Premonition Software
Requires: ppp

%description
A daemon which manages dial in modems

%prep
%setup
if [ %{version} != `cat version` ] ; then
   echo "RPM spec version does not match source code version"
   exit 1
fi


%build
make

%install
make install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 rasd $RPM_BUILD_ROOT/usr/sbin/rasd

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 scripts/ras $RPM_BUILD_ROOT/etc/rc.d/init.d/rasd

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 755 scripts/rasd $RPM_BUILD_ROOT/etc/logrotate.d/rasd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc options.ras1
/usr/sbin/rasd
/etc/rc.d/init.d/rasd
/etc/logrotate.d/rasd

%post
/sbin/chkconfig --add rasd


%changelog
* Mon Aug 08 2005 John Newbigin <jn@it.swin.edu.au>
- Build for EL2, EL3, EL4
* Tue Apr 07 2002 John Newbigin <jn@it.swin.edu.au>
- Added Distribution and Vendor tags
* Tue Jun 05 2001 John Newbigin <jn@it.swin.edu.au>
- Fix small bug with init strings
* Mon Feb 12 2001 John Newbigin <jn@it.swin.edu.au>
- First rpm version
